Bug 731032 - Kernel 2.6.40-4.fc15 breaks Apple Magic Trackpad support
Summary: Kernel 2.6.40-4.fc15 breaks Apple Magic Trackpad support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 14:20 UTC by Gary Case
Modified: 2012-06-06 18:21 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 18:21:52 UTC


Attachments (Terms of Use)

Description Gary Case 2011-08-16 14:20:08 UTC
Description of problem:
In kernel 2.6.40-4.fc15, Fedora has broken support for the Apple Magic Trackpad. It was working in 2.6.38.8-35

******Broken*******
# uname -a
Linux dhcp-100-19-206 2.6.40-4.fc15.i686 #1 SMP Fri Jul 29 18:54:39 UTC 2011 i686 i686 i386 GNU/Linux

# tail /var/log/messages
Aug 16 09:59:46 dhcp-100-19-206 kernel: [  107.623847] input: Apple Wireless Trackpad as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:11/input10
Aug 16 09:59:46 dhcp-100-19-206 kernel: [  107.624588] magicmouse 0005:05AC:030E.0001: input,hidraw0: BLUETOOTH HID v1.60 Mouse [Apple Wireless Trackpad] on 5C:AC:4C:C6:F2:84
Aug 16 09:59:46 dhcp-100-19-206 kernel: [  107.746449] magicmouse 0005:05AC:030E.0001: unable to request touch data (-5)
Aug 16 09:59:46 dhcp-100-19-206 kernel: [  107.771885] magicmouse: probe of 0005:05AC:030E.0001 failed with error -5

******Working*******
# uname -a
Linux dhcp-100-19-206 2.6.38.8-35.fc15.i686 #1 SMP Wed Jul 6 14:46:26 UTC 2011 i686 i686 i386 GNU/Linux

# tail /var/log/messages
Aug 16 10:02:46 dhcp-100-19-206 kernel: [   63.243673] input: Apple Wireless Tra
ckpad as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci
0/hci0:11/input9
Aug 16 10:02:46 dhcp-100-19-206 kernel: [   63.244308] magicmouse 0005:05AC:030E
.0001: input,h

Version-Release number of selected component (if applicable):
kernel 2.6.40-4

How reproducible:
Every time

Steps to Reproduce:
1. Boot into kernel 2.6.40-4
2. Attempt to use Magic Trackpad
3. Errors appear in /var/log/messages and no working trackpad is present
  
Actual results:
Broken trackpad support

Expected results:
Working trackpad

Additional info:
Support was broken previously in 2.6.38.8 and restored 2.6.38.8-35. See https://bugzilla.redhat.com/show_bug.cgi?id=714381 for more information

Comment 1 adriano 2011-08-21 19:03:29 UTC
same problem with kernel 2.6.40.3-0.fc15.x86_64 #1 SMP Tue Aug 16 04:10:59 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

dmesg output:

[ 1250.237641] input: Mouse di admin as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:12/input18
[ 1250.243066] magicmouse 0005:05AC:030D.0003: input,hidraw0: BLUETOOTH HID v3.06 Mouse [Mouse di admin] on C0:F8:DA:E3:79:49
[ 1250.438014] magicmouse 0005:05AC:030D.0003: unable to request touch data (-5)
[ 1250.470487] magicmouse: probe of 0005:05AC:030D.0003 failed with error -5

/var/log/messages output:

Aug 21 21:00:04 localhost bluetoothd[864]: Stopping discovery
Aug 21 21:00:04 localhost bluetoothd[864]: bluetoothd[864]: Stopping discovery
Aug 21 21:00:10 localhost kernel: [ 1250.237641] input: Mouse di admin as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:12/input18
Aug 21 21:00:10 localhost kernel: [ 1250.243066] magicmouse 0005:05AC:030D.0003: input,hidraw0: BLUETOOTH HID v3.06 Mouse [Mouse di admin] on C0:F8:DA:E3:79:49
Aug 21 21:00:10 localhost kernel: [ 1250.438014] magicmouse 0005:05AC:030D.0003: unable to request touch data (-5)
Aug 21 21:00:10 localhost kernel: [ 1250.470487] magicmouse: probe of 0005:05AC:030D.0003 failed with error -5
Aug 21 21:00:10 localhost bluetoothd[864]: Stopping discovery
Aug 21 21:00:10 localhost bluetoothd[864]: bluetoothd[864]: Stopping discovery
Aug 21 21:00:12 localhost bluetoothd[864]: bluetoothd[864]: Inquiry Failed with status 0x12
Aug 21 21:00:12 localhost bluetoothd[864]: Inquiry Failed with status 0x12

Comment 2 Chuck Ebbert 2011-08-26 18:59:53 UTC
Works perfectly for me, I don't get any errors at all and two-finger scroll etc. work fine. What kind of Bluetooth adapter are you using?

Comment 3 adriano 2011-08-26 20:26:38 UTC
Dell E6520 laptop with Dell Wireless 375 Bluetooth 3.0

Comment 4 Gary Case 2011-08-26 20:51:29 UTC
I'm on a Lenovo X201 with this Bluetooth controller:

Bus 001 Device 003: ID 0a5c:217f Broadcom Corp. Bluetooth Controller

Comment 5 David Crowe 2011-08-26 21:07:14 UTC
i have three hosts with this is problem:

1) Dell Inspiron 530s with the following:

Bus 008 Device 003: ID 413c:8130 Dell Computer Corp. 

2) Dell Optiplex 960 with the following USB adapter:

Bus 004 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

3) Dell Optiplex <mumble> with another USB adapter:

Bus 002 Device 005: ID 047d:105e Kensington Bluetooth EDR Dongle

Comment 6 Dimitris Glezos 2011-10-15 18:40:58 UTC
Confirming this on a Lenovo X220 with Broadcom Bluetooth Device and Apple Track Pad.

Comment 7 Josh Boyer 2012-06-06 17:43:28 UTC
Are you all still seeing this with 2.6.43/3.3?

Comment 8 David Crowe 2012-06-06 17:56:56 UTC
sorry, should have commented on this long ago.  this was fixed for me just before moving to F16.  i can't comment on the current F15 kernel version but F16 current and F17 current are working fine.

Comment 9 Josh Boyer 2012-06-06 18:21:52 UTC
Thanks for letting us know.


Note You need to log in before you can comment on or make changes to this bug.